#ifndef STRING_HPP_INCLUDED
#define STRING_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"
#include "Class.hpp"

namespace Internal
{
    class String : public Object
    {
        public:
            String(const void* Obj);
            //String(std::int32_t Value);

            String() = default;
            String(String&& Obj) = default;
            String(const String& Obj) = default;
            String& operator=(String&& Obj) = default;
            String& operator=(const String& Obj) = default;

            static Class GetClass();

            std::string GetStringValue() const;
    };
}

#endif // STRING_HPP_INCLUDED
